package com.taover.bazhuayun.analysis.web.form;

import java.util.ArrayList;
import java.util.List;

import org.springframework.validation.BindingResult;
import org.springframework.validation.ObjectError;

public abstract class BaseCreateForm extends BaseForm{
	/**
	 * 获取验证异常消息列表
	 * @param bindingResult
	 * @return
	 */
	public List<String> getErrorMessageList(BindingResult bindingResult){
		List<String> errorMessageList = new ArrayList<String>();
		if(bindingResult.hasErrors()){
			List<ObjectError> errorList = bindingResult.getAllErrors();
			for(int i=0; i<errorList.size(); ++i){
				errorMessageList.add(errorList.get(i).getDefaultMessage());
			}
		}
		return errorMessageList;
	}
}
