package com.taover.bazhuayun.analysis.web.permission;

import java.util.EnumSet;

import javax.servlet.DispatcherType;
import javax.servlet.Filter;

import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class HttpHeaderFilterConfig {
	public static final int ORDER_HTTP_HEADER_FILTER = 0;
	
	@Bean
	public FilterRegistrationBean<Filter> mySsTokenFilter() {
		FilterRegistrationBean<Filter> registration = new FilterRegistrationBean<Filter>();
		registration.setFilter(new HttpHeaderFilter());
		registration.setEnabled(true);
		registration.setDispatcherTypes(EnumSet.allOf(DispatcherType.class));
		registration.setOrder(ORDER_HTTP_HEADER_FILTER);
		return registration;
	}
}

