package com.taover.bazhuayun.analysis.web.scafford;

import com.taover.codegenerate.bazhuayun.GenerateCode;

public class CodeGeneraterWB {
	public static void main(String args[]){
		generateEntity("analysis_heartbeat_log");
		//generateRepository("analysis_heartbeat_log");	
	}
	
	public static void generateEntity(String tableName){
		try {
			GenerateCode.generateEntity("com.taover.bazhuayun.analysis.web", 
					tableName, 
					"D:\\workproject\\8zyun-data-analysis\\src\\main\\java", 
					"rdsifmezqifmezqo.mysql.rds.aliyuncs.com", "3306", "tylife", "lexi365", "bzyun_wxorder", true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void generateRepository(String tableName){
		try {
			GenerateCode.generateRepository("com.taover.bazhuayun.analysis.web", 
					tableName, 
					"D:\\workproject\\8zyun-data-analysis\\src\\main\\java", 
					"rdsifmezqifmezqo.mysql.rds.aliyuncs.com", "3306", "tylife", "lexi365", "bzyun_wxorder", true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void generateAll(String tableName){
		try {
			GenerateCode.generate("com.taover.bazhuayun.wxorder", 
					tableName, 
					"D:\\workproject\\8zyun-wxorder-api\\src\\main\\java", 
					"121.42.142.102", "3306", "dev", "taover02", "bzyun_wxorder");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	/**
	 * API 调用示例
	 */
	public static void generateCodeExample(){
		try {
			//基础包名："com.taover.bazhuayun.wxorder"
			//表名："wxorder_agent_ssy_contact"，多个表名用逗号分隔，全部表"ALL"
			//数据库连接信息："127.0.0.1", "3306", "tylife", "lexi365"
			//数据库名称："8zyun_wxorder"
			/*GenerateCode.generate("com.taover.bazhuayun.wxorder", 
					"wxorder_goods_base_sku", 
					"D:\\workproject\\8zyun-wxorder-api\\src\\main\\java", 
					"127.0.0.1", "3306", "tylife", "lexi365", "8zyun_wxorder");*/
			
			//gaoming
			GenerateCode.generate("com.taover.bazhuayun.wxorder", 
					"wxorder_goods_map", 
					"C:\\springboot\\8zyun-wxorder-api\\src\\main\\java", 
					"192.168.3.2", "3306", "tylife", "lexi365", "8zyun_wxorder");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
