package com.taover.bazhuayun.analysis.script.goodscollect;

import java.util.List;

import com.taover.bazhuayun.analysis.util.StringTool;

public class GoodsInfoExcelDataHeader {
	private Integer goodsNameIndex;
	private Integer goodsSkuNameIndex;
	
	public GoodsInfoExcelDataHeader(String[] goodsNamePattern, String[] goodsSkuNamePattern, List<Object> data) {
		for(int i=0; i<data.size(); ++i) {
			Object item = data.get(i);
			if(item == null) {
				continue;
			}
			if(this.goodsNameIndex == null && StringTool.getStringIndexByPatternContains(item.toString(), goodsNamePattern) != -1) {
				this.goodsNameIndex = i;
				continue;
			}
			if(this.goodsSkuNameIndex == null && StringTool.getStringIndexByPatternContains(item.toString(), goodsSkuNamePattern) != -1) {
				this.goodsSkuNameIndex = i;
				continue;
			}
		}
	}
	
	public boolean available() {
		if(this.goodsNameIndex != null || this.goodsSkuNameIndex != null) {
			return true;
		}else {
			return false;
		}
	}
	
	public Integer getGoodsNameIndex() {
		return goodsNameIndex;
	}
	public void setGoodsNameIndex(Integer goodsNameIndex) {
		this.goodsNameIndex = goodsNameIndex;
	}
	public Integer getGoodsSkuNameIndex() {
		return goodsSkuNameIndex;
	}
	public void setGoodsSkuNameIndex(Integer goodsSkuNameIndex) {
		this.goodsSkuNameIndex = goodsSkuNameIndex;
	}
}
