package com.taover.bazhuayun.analysis.script.goodscollect;

import java.util.List;

public class GroupInfoExcelDataHeader {
	public static final String HEADER_GROUP_NAME = "群名称";
	public static final String HEADER_ROOW_WXID = "room_wxid";
	public static final String HEADER_FILE_PATH = "文件路径";
	public static final String HEADER_SENDER_NICKNAME = "发送人昵称";
	
	private Integer groupNameIndex;
	private Integer roowWxidIndex;
	private Integer fielPathIndex;
	private Integer senderNicknameIndex;
		
	public GroupInfoExcelDataHeader(List<Object> data) {
		for(int i=0; i<data.size(); ++i) {
			Object item = data.get(i);
			if(item == null) {
				continue;
			}
			if(HEADER_GROUP_NAME.equals(item.toString())) {
				this.groupNameIndex = i;
				continue;
			}
			if(HEADER_FILE_PATH.equals(item.toString())) {
				this.fielPathIndex = i;
				continue;
			}
			if(HEADER_ROOW_WXID.equals(item.toString())) {
				this.roowWxidIndex = i;
				continue;
			}
			if(HEADER_SENDER_NICKNAME.equals(item.toString())) {
				this.senderNicknameIndex = i;
				continue;
			}
		}
	}	
	
	public Integer getSenderNicknameIndex() {
		return senderNicknameIndex;
	}
	public void setSenderNicknameIndex(Integer senderNicknameIndex) {
		this.senderNicknameIndex = senderNicknameIndex;
	}
	public Integer getGroupNameIndex() {
		return groupNameIndex;
	}
	public void setGroupNameIndex(Integer groupNameIndex) {
		this.groupNameIndex = groupNameIndex;
	}
	public Integer getRoowWxidIndex() {
		return roowWxidIndex;
	}
	public void setRoowWxidIndex(Integer roowWxidIndex) {
		this.roowWxidIndex = roowWxidIndex;
	}
	public Integer getFielPathIndex() {
		return fielPathIndex;
	}
	public void setFielPathIndex(Integer fielPathIndex) {
		this.fielPathIndex = fielPathIndex;
	}
}
