package com.taover.bazhuayun.analysis.script.goodscollect;

import java.util.List;

public class GroupInfoExcelDataRow {
	private String groupName;
	private String roowWxid;
	private String filePath;
	private String sendNickname;
	
	public GroupInfoExcelDataRow(GroupInfoExcelDataHeader header, List<Object> data) {
		if(header.getFielPathIndex() != null && data.size() > header.getFielPathIndex()) {
			this.filePath = data.get(header.getFielPathIndex()) == null ? "" : data.get(header.getFielPathIndex()).toString();
		}
		if(header.getRoowWxidIndex() != null && data.size() > header.getRoowWxidIndex()) {
			this.roowWxid = data.get(header.getRoowWxidIndex()) == null ? "" : data.get(header.getRoowWxidIndex()).toString();
		}
		if(header.getGroupNameIndex() != null && data.size() > header.getGroupNameIndex()) {
			this.groupName = data.get(header.getGroupNameIndex()) == null ? "" : data.get(header.getGroupNameIndex()).toString();
		}
		if(header.getSenderNicknameIndex() != null && data.size() > header.getSenderNicknameIndex()) {
			this.sendNickname = data.get(header.getSenderNicknameIndex()) == null ? "" : data.get(header.getSenderNicknameIndex()).toString();
		}
		if(this.filePath == null) {
			this.filePath = "";
		}
		if(this.roowWxid == null) {
			this.roowWxid = "";
		}
		if(this.groupName == null) {
			this.groupName = "";
		}
		if(this.sendNickname == null) {
			this.sendNickname = "";
		}
	}
	
	
	public String getSendNickname() {
		return sendNickname;
	}


	public void setSendNickname(String sendNickname) {
		this.sendNickname = sendNickname;
	}


	public String getGroupName() {
		return groupName;
	}
	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}
	public String getRoowWxid() {
		return roowWxid;
	}
	public void setRoowWxid(String roowWxid) {
		this.roowWxid = roowWxid;
	}
	public String getFilePath() {
		return filePath;
	}
	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}
}
