package com.taover.bazhuayun.analysis.web.controller.api;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.taover.bazhuayun.analysis.web.module.heartbeat.HeartbeatManager;
import com.taover.util.bean.ResultInfo;
import com.taover.util.bean.UtilResultInfo;

@RestController("api.heartbeat")
@RequestMapping("/api/heartbeat")
public class HeartBeatController {
	@Resource
	private HeartbeatManager heartbeatManager;
	
	@GetMapping
	public ResultInfo get(HttpServletRequest request) {
		return UtilResultInfo.getSuccess("");
	}
	
	@GetMapping("/demon")
	public ResultInfo getDemon(HttpServletRequest request) {
		return this.heartbeatManager.dealClientRequest(request);
	}
}
