package com.taover.bazhuayun.analysis.web.module.heartbeat.bean;

import com.taover.bazhuayun.analysis.web.repository.AnalysisHeartbeatInstanceEntity;

public interface Instance {	
	public static final int DEFAULT_MAX_WAIT_SEC = -1;
	public static final int DEFAULT_FIX_RATE_SEC = -1;
	
	/**
	 * 实例
	 * @return
	 */
	AnalysisHeartbeatInstanceEntity getInstance();
	
	/**
	 * 获取id字符串
	 * @return
	 */
	String getIdentity();
	
	/**
	 * 是否需要发送通知
	 * @return
	 */
	boolean needReform();
	
	/**
	 * 是否需要发布
	 * @return
	 */
	boolean needDeploy();
	
	/**
	 * 刷新状态
	 */
	void flush();
}
