package com.taover.bazhuayun.analysis.web.repository;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import javax.persistence.Column;

/**
 * @version 1.0.0
 */
@Entity
@Table(name="analysis_heartbeat_instance", catalog="")
public class AnalysisHeartbeatInstanceEntity implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	
	/**
	 * 
	 */
	@Id
	@Column(name="id")
	private java.lang.Long id;
		
	public java.lang.Long getId(){
		return id;
	}	
	public void setId(java.lang.Long id){
		this.id = id;
	}	
	
	/**
	 * 实例类型：0-请求端，1-服务端
	 */
	@Column(name="role_type")
	private java.lang.Integer roleType;
		
	public java.lang.Integer getRoleType(){
		return roleType;
	}	
	public void setRoleType(java.lang.Integer roleType){
		this.roleType = roleType;
	}	
	
	/**
	 * 
	 */
	@Column(name="url")
	private java.lang.String url;
		
	public java.lang.String getUrl(){
		return url;
	}	
	public void setUrl(java.lang.String url){
		this.url = url;
	}	
	
	/**
	 * 
	 */
	@Column(name="code")
	private java.lang.String code;
		
	public java.lang.String getCode(){
		return code;
	}	
	public void setCode(java.lang.String code){
		this.code = code;
	}	
	
	/**
	 * 
	 */
	@Column(name="fix_rate_sec")
	private java.lang.Integer fixRateSec;
		
	public java.lang.Integer getFixRateSec(){
		return fixRateSec;
	}	
	public void setFixRateSec(java.lang.Integer fixRateSec){
		this.fixRateSec = fixRateSec;
	}	
	
	/**
	 * 
	 */
	@Column(name="max_wait_sec")
	private java.lang.Integer maxWaitSec;
		
	public java.lang.Integer getMaxWaitSec(){
		return maxWaitSec;
	}	
	public void setMaxWaitSec(java.lang.Integer maxWaitSec){
		this.maxWaitSec = maxWaitSec;
	}	
	
	/**
	 * 
	 */
	@Column(name="token")
	private java.lang.String token;
		
	public java.lang.String getToken(){
		return token;
	}	
	public void setToken(java.lang.String token){
		this.token = token;
	}	
	
	/**
	 * 
	 */
	@Column(name="reform_email")
	private java.lang.String reformEmail;
		
	public java.lang.String getReformEmail(){
		return reformEmail;
	}	
	public void setReformEmail(java.lang.String reformEmail){
		this.reformEmail = reformEmail;
	}	
	
	/**
	 * 
	 */
	@Column(name="reform_wxid")
	private java.lang.String reformWxid;
		
	public java.lang.String getReformWxid(){
		return reformWxid;
	}	
	public void setReformWxid(java.lang.String reformWxid){
		this.reformWxid = reformWxid;
	}	
	
	/**
	 * 
	 */
	@Column(name="reform_phone")
	private java.lang.String reformPhone;
		
	public java.lang.String getReformPhone(){
		return reformPhone;
	}	
	public void setReformPhone(java.lang.String reformPhone){
		this.reformPhone = reformPhone;
	}	
	
	/**
	 * 可用状态：0-注销，1-使用中
	 */
	@Column(name="status")
	private java.lang.Integer status;
		
	public java.lang.Integer getStatus(){
		return status;
	}	
	public void setStatus(java.lang.Integer status){
		this.status = status;
	}	
	
	/**
	 * 
	 */
	@Column(name="create_time")
	private java.sql.Timestamp createTime;
		
	public java.sql.Timestamp getCreateTime(){
		return createTime;
	}	
	public void setCreateTime(java.sql.Timestamp createTime){
		this.createTime = createTime;
	}	
	
	/**
	 * 
	 */
	@Column(name="update_time")
	private java.sql.Timestamp updateTime;
		
	public java.sql.Timestamp getUpdateTime(){
		return updateTime;
	}	
	public void setUpdateTime(java.sql.Timestamp updateTime){
		this.updateTime = updateTime;
	}	
	
	/**
	 * 
	 */
	@Column(name="reform_max_time")
	private java.lang.Integer reformMaxTime;
		
	public java.lang.Integer getReformMaxTime(){
		return reformMaxTime;
	}	
	public void setReformMaxTime(java.lang.Integer reformMaxTime){
		this.reformMaxTime = reformMaxTime;
	}	
	
	/**
	 * 
	 */
	@Column(name="deploy_url")
	private java.lang.String deployUrl;
		
	public java.lang.String getDeployUrl(){
		return deployUrl;
	}	
	public void setDeployUrl(java.lang.String deployUrl){
		this.deployUrl = deployUrl;
	}	
	
	/**
	 * 丢包满足多少次，则调用发布
	 */
	@Column(name="deploy_at_lost_num")
	private java.lang.Integer deployAtLostNum;
		
	public java.lang.Integer getDeployAtLostNum(){
		return deployAtLostNum;
	}	
	public void setDeployAtLostNum(java.lang.Integer deployAtLostNum){
		this.deployAtLostNum = deployAtLostNum;
	}	

	@Override
	public String toString() {
		return "AnalysisHeartbeatInstanceEntity: [id="+id+",roleType="+roleType+",url="+url+",code="+code+",fixRateSec="+fixRateSec+",maxWaitSec="+maxWaitSec+",token="+token+",reformEmail="+reformEmail+",reformWxid="+reformWxid+",reformPhone="+reformPhone+",status="+status+",createTime="+createTime+",updateTime="+updateTime+",reformMaxTime="+reformMaxTime+",deployUrl="+deployUrl+",deployAtLostNum="+deployAtLostNum+"]";
	}
 }
