package com.taover.bazhuayun.analysis.web.repository;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import javax.persistence.Column;

/**
 * @version 1.0.0
 */
@Entity
@Table(name="analysis_heartbeat_reform", catalog="")
public class AnalysisHeartbeatReformEntity implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	
	/**
	 * 
	 */
	@Id
	@Column(name="id")
	private java.lang.Long id;
		
	public java.lang.Long getId(){
		return id;
	}	
	public void setId(java.lang.Long id){
		this.id = id;
	}	
	
	/**
	 * 
	 */
	@Column(name="instance_code")
	private java.lang.String instanceCode;
		
	public java.lang.String getInstanceCode(){
		return instanceCode;
	}	
	public void setInstanceCode(java.lang.String instanceCode){
		this.instanceCode = instanceCode;
	}	
	
	/**
	 * 通知类型：0-邮件，1-微信，2-短信
	 */
	@Column(name="reform_type")
	private java.lang.Integer reformType;
		
	public java.lang.Integer getReformType(){
		return reformType;
	}	
	public void setReformType(java.lang.Integer reformType){
		this.reformType = reformType;
	}	
	
	/**
	 * 
	 */
	@Column(name="reform_info")
	private java.lang.String reformInfo;
		
	public java.lang.String getReformInfo(){
		return reformInfo;
	}	
	public void setReformInfo(java.lang.String reformInfo){
		this.reformInfo = reformInfo;
	}	
	
	/**
	 * 
	 */
	@Column(name="reform_content")
	private java.lang.String reformContent;
		
	public java.lang.String getReformContent(){
		return reformContent;
	}	
	public void setReformContent(java.lang.String reformContent){
		this.reformContent = reformContent;
	}	
	
	/**
	 * 
	 */
	@Column(name="create_time")
	private java.sql.Timestamp createTime;
		
	public java.sql.Timestamp getCreateTime(){
		return createTime;
	}	
	public void setCreateTime(java.sql.Timestamp createTime){
		this.createTime = createTime;
	}	
	
	/**
	 * 
	 */
	@Column(name="update_time")
	private java.sql.Timestamp updateTime;
		
	public java.sql.Timestamp getUpdateTime(){
		return updateTime;
	}	
	public void setUpdateTime(java.sql.Timestamp updateTime){
		this.updateTime = updateTime;
	}	

	@Override
	public String toString() {
		return "AnalysisHeartbeatReformEntity: [id="+id+",instanceCode="+instanceCode+",reformType="+reformType+",reformInfo="+reformInfo+",reformContent="+reformContent+",createTime="+createTime+",updateTime="+updateTime+"]";
	}
 }
